View Issue Details

IDProjectCategoryView StatusLast Update
0025400mantisbtapi restpublic2019-03-16 20:20
ReporterobmschAssigned Tocommunity 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.19.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025400: Allow adding/updating/deleting subprojects via REST API
Description

The REST API should offer as much as possible

TagsNo tags attached.

Relationships

related to 0025397 assignedcommunity Be able to create projects as subprojects 

Activities

obmsch

obmsch

2019-01-29 18:52

reporter   ~0061327

@atrol Please add relation to 0025397, I am not allowed to.

obmsch

obmsch

2019-01-29 19:37

reporter   ~0061328

PR https://github.com/mantisbt/mantisbt/pull/1453

obmsch

obmsch

2019-02-01 10:34

reporter   ~0061359

@atrol I have extended the PR to include Update/Delete for subprojects as well.
Would you please change the summary to something like:
"Support to add/update/delete subprojects via REST API"
to reflect that.

dregad

dregad

2019-02-01 10:53

developer   ~0061360

@obmsch done

Related Changesets

MantisBT: master 57a1f8c9

2019-02-24 16:29:03

obmsch


Committer: vboctor Details Diff
Add subproject CRUD commands and REST API

- Add command to add a subproject.
- Add command to update a subproject.
- Add command to delete a subproject.
- Add REST APIs for the above commands.
- Update Web UI to use the above commands.

Fixes 0025400
Affected Issues
0025400
mod - api/rest/restcore/projects_rest.php Diff File
mod - api/soap/mc_api.php Diff File
add - core/commands/ProjectHierarchyAddCommand.php Diff File
add - core/commands/ProjectHierarchyDeleteCommand.php Diff File
add - core/commands/ProjectHierarchyUpdateCommand.php Diff File
mod - core/constant_inc.php Diff File
mod - core/project_api.php Diff File
mod - lang/strings_english.txt Diff File
mod - manage_proj_create.php Diff File
mod - manage_proj_subproj_add.php Diff File
mod - manage_proj_subproj_delete.php Diff File
mod - manage_proj_update_children.php Diff File

Issue History

Date Modified Username Field Change
2019-01-29 18:44 obmsch New Issue
2019-01-29 18:52 obmsch Note Added: 0061327
2019-01-29 19:37 obmsch Note Added: 0061328
2019-01-30 02:30 atrol Relationship added related to 0025397
2019-02-01 10:34 obmsch Note Added: 0061359
2019-02-01 10:53 dregad Assigned To => community
2019-02-01 10:53 dregad Status new => assigned
2019-02-01 10:53 dregad Summary Support to add subprojects to projects via REST API => Allow adding/updating/deleting subprojects via REST API
2019-02-01 10:53 dregad Note Added: 0061360
2019-02-24 16:30 vboctor Changeset attached => MantisBT master 57a1f8c9
2019-02-24 16:30 vboctor Assigned To community => vboctor
2019-02-24 16:30 vboctor Status assigned => resolved
2019-02-24 16:30 vboctor Resolution open => fixed
2019-02-24 16:30 vboctor Fixed in Version => 2.20.0
2019-02-24 16:38 vboctor Assigned To vboctor => community
2019-02-24 16:38 vboctor Target Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed